#
# spec file for package nspluginwrapper (Version 0.9.91.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           nspluginwrapper
Version:        0.9.91.4
Release:        58.1
Group:          Productivity/Networking/Web/Utilities
Summary:        Compatibility Layer for Netscape 4 Plug-Ins
License:        GPL v2 or later
Url:            http://gwenole.beauchesne.info/projects/nspluginwrapper/
Source:         %{name}-%{version}.tar.bz2
Patch1:         nspluginwrapper-noshm.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gtk2-devel
BuildRequires:  gcc-c++
%ifarch x86_64
BuildRequires:  gcc-32bit libstdc++42-devel-32bit
%endif
ExcludeArch:    s390 s390x
Provides:       %{name}-%{_arch} = %{version}-%{release}

%description
nspluginwrapper is an Open Source compatibility plugin for Netscape 4
(NPAPI) plugins. It enables you to use plugins on platforms they were
not built for. For example, you can use the plugins compiled for i386
in Mozilla on Linux/x86_64 or other architectures. This package
consists of:

* npviewer: the plug-in viewer

* npwrapper.so: the browser-side plug-in

* nspluginwrapper: a tool to manage plug-ins installation and update



Authors:
--------
    Gwenole Beauchesne <gb.public@free.fr>

%debug_package
%prep
%setup -q
%patch1 -p1

%build
#
# TODO:
# There are three ways to compile 32 bit stuff. Decide, what is better:
# 1) As is: Use stub libraries from stub_libs.
# 2) Create gtk2-devel-32bit and all needed stuff and cross compile
#    using cross-compilation-headers.
# 3) Let 32-bit platform compile it, then use -32bit package.
#
%ifarch x86_64
# FIXME: more undefined references to `__stack_chk_fail' follow
# More correct would be probably adding stack checking code to
# lsb-build/stub_libs/libc_main.c
export CFLAGS_32="-m32 ${RPM_OPT_FLAGS/-fstack-protector}"
%endif
%configure\
	--with-viewer\
%ifarch x86_64
	--with-biarch
%else
	--without-biarch
%endif
make %{?jobs:-j%jobs}
gcc -fPIC ${RPM_OPT_FLAGS} -shared -ldl -o noshm.so noshm.c

%install
%makeinstall DONT_STRIP=yes
mkdir -p $RPM_BUILD_ROOT%{_libdir}/browser-plugins
ln -s %{_prefix}/lib/%{name}/%{_arch}/%{_os}/npwrapper.so $RPM_BUILD_ROOT%{_libdir}/browser-plugins/npwrapper.so
cp noshm.so $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/%{_arch}/%{_os}/

%clean
rm -rf $RPM_BUILD_ROOT
# Trigger on packages, which don't have x86_64 equivalent or its
# equivalent has less features.
# mplayerplug-in is a common name of third party package, that may be
# affected, too.

%triggerin -- RealPlayer acroread acroread_ja flash-player mplayerplug-in
%{_bindir}/%{name} -a -u || :

%triggerpostun -- RealPlayer acroread acroread_ja flash-player mplayerplug-in
%{_bindir}/%{name} -a -u || :

%post
if [ $1 = 1 ]; then
  %{_bindir}/%{name} -a -i || :
else
  %{_bindir}/%{name} -a -u || :
fi

%preun
if [ $1 = 0 ]; then
  %{_bindir}/%{name} -a -r || :
fi

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/browser-plugins/npwrapper.so
%{_prefix}/lib/%{name}

%changelog
* Fri Sep 14 2007 - sbrabec@suse.cz
- Ignore scriptlet errors to work-around glibc bug (#304963).
* Mon Aug 27 2007 - schwab@suse.de
- Don't strip binaries.
* Tue Jul 17 2007 - agraf@suse.de
- Fix compilation issues with new shared library
- Fix build on x86_64
- Exclude s390 from build (unsupported)
* Wed Jul 11 2007 - agraf@suse.de
- Include shared lib to suppress the MIT-SHM extension if
  qemu is used in which case endianness issues appear with
  shared memory.
* Wed Jun 20 2007 - rguenther@suse.de
- Fix BuildRequires.
* Tue Apr 17 2007 - sbrabec@suse.cz
- Updated to version 0.9.91.4:
  * Don’t try to wrap native plugins
  * Fix build on Linux systems with SSP enabled by default
- Removed self-requires.
* Tue Apr 03 2007 - lrupp@suse.de
- fix typo => _arch instead of target_arch
* Mon Mar 26 2007 - sbrabec@suse.cz
- New SuSE package, version 0.9.91.3.
